/*
** FCD basic structures and interfaces
**
** 2000, 3/9 cut out from fcd.h
*/

#include <stdlib.h>

#ifndef FCD_BASIC_H
#define FCD_BASIC_H

#define TRACK_MAX    70  /* FCD Limit */
#define DESC_MAX    128
#define FNAME_MAX   128  /* FCD Limit */

#define SYNC_SIZE 12


typedef size_t LBN;

typedef struct {
	char f;
	char s;
	char m;
	char padding;
} MSF;

MSF LBN_to_MSF(LBN in);
LBN MSF_to_LBN(MSF in);

#endif