#ifndef MEMORY_CARD_H
#define MEMORY_CARD_H

#include <string>
#include <boost/shared_ptr.hpp>
#include "MemoryCard.h"

namespace MemoryCardFactory
{
	enum CONNECTION_TYPE{
		CONNECTION_TYPE_FTP,
		CONNECTION_TYPE_PS2LINK,
		CONNECTION_TYPE_USB_MEMORY,
		CONNECTION_TYPE_NULL
	};
	boost::shared_ptr<MemoryCard> GetMemoryCard(int type, const std::string& address = "");
	boost::shared_ptr<MemoryCard> GetNullMemoryCard();
};

#endif
