#ifndef NFILEMFC_H
#define NFILEMFC_H

#include <string>
#include <memory>
#include "NFile.h"

class CFile;

class NFileMFC : public NFile{
private:
	std::auto_ptr<CFile> m_pFile;
	bool m_bIsOpen;
public:
	NFileMFC(const std::string& file_path, int flag);
	virtual ~NFileMFC();
	virtual bool IsOpen()const;
	virtual void Close();
	virtual int Read(void* buffer, int size);
	virtual int Write(const void* buffer, int size);
	virtual void Seek(long long size, int base);
	virtual void SetBuffer(int size);
	virtual long long GetSize();
	virtual void Flush();
};

#endif
