#ifndef GAME_TITLE_GETTER_H
#define GAME_TITLE_GETTER_H

#include <string>
#include "afxmt.h"

//class CHttpFile;

class GameTitleGetter
{
private:
	/*
	gp@:
	AfxBeginThread(GameTitleGetter::Thread, new GameTitleGetter(directory, disp_index));
	GameTitleGetter::Thread(new GameTitleGetter(directory, disp_index));
	*/
	std::string m_strProductID;
	const int m_iDispIndex;
	//HANDLE m_hThread;
	CMutex m_Mutex;

	static UINT Thread(LPVOID ppram);
	void Process();
	void FromLocal()const;
	void FromInternet()const;
	void DispGameData(const std::string& text)const;
	//bool SkipHtml(const std::string& target, CHttpFile *pfile, int additional_line = 0)const;
	//bool GetTargetValue(const std::string& target, CHttpFile *pfile, std::string& res)const;
	//bool GetNextString(CHttpFile *pFile, std::string& res)const;
	bool SkipHtml(const std::string& target, InternetFile& file, int additional_line = 0)const;
	//bool GetTargetValue(const std::string& target, CHttpFile *pfile, std::string& res)const;
	bool GetNextString(InternetFile& file, std::string& res)const;
public:
	GameTitleGetter(const std::string& directory, int disp_index);
	virtual ~GameTitleGetter();
	bool Run();
};

#endif
